png::convert_color_space< pixel > Struct Template Reference

IO transformation class template. Converts image color space. More...

`#include <convert_color_space.hpp>`

## Detailed Description

### template<typename pixel>
struct png::convert_color_space< pixel >

IO transformation class template. Converts image color space.

This IO transformation class template is used to convert color space of the source image to the color space of the target image. An error with human-readable description is thrown when the color space could not be converted. Often, this means that you have to recompile libpng with some more conversion options turned on.

Not implemented–see specializations.

See also
  image, image::read

The documentation for this struct was generated from the following file:

- convert_color_space.hpp